BASEDIR = $(shell pwd)
DIRS    = $(BASEDIR)/TransmissionTest \
          $(BASEDIR)/Performance \
	  $(BASEDIR)/EarlyDeath \
          $(BASEDIR)/BadMagic \
          $(BASEDIR)/MonitorTest \
          $(BASEDIR)/GetServers \
          $(BASEDIR)/SyncSet

all commit clean purge:
	@for dir in $(DIRS); \
	do \
		$(MAKE) -C $$dir $@; \
	done
	
